Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.ipd.consensus.foundation.ontology
Class OntologyAdapter

    java.lang.Object
      de.uka.ipd.consensus.foundation.ontology.OntologyAdapter

All Implemented Interfaces:
  EventListener, OntologyListener

public class OntologyAdapter
extends Object
implements OntologyListener

An adapter class for receiving ontology events. The methods in this class are empty. This class exists for convenience for creating listener objects if you don't want to implement all of the listener's methods.

Version:
  2006-06-14
Author:
  Thomas Much

Constructor Summary
`OntologyAdapter()`

Method Summary
`void` | `associationCreated(OntologyEvent event)` Called by the OntologyManager when an association is created.
`void` | `associationTopicAdded(OntologyEvent event)` Called by the OntologyManager when topic is added as a player to an association.
`void` | `associationTopicRemoved(OntologyEvent event)` Called by the OntologyManager when player topic is removed from an association.
`void` | `attributeAdded(OntologyEvent event)` Called by the OntologyManager when an attribute is added to a topic.
`void` | `attributeRemoved(OntologyEvent event)` Called by the OntologyManager when an attribute is removed from a topic.
`void` | `attributeValueChanged(OntologyEvent event)` Called by the OntologyManager when an attribute's value is changed.
`void` | `conceptCommentChanged(OntologyEvent event)` Called by the OntologyManager when the comment of a concept has changed.
`void` | `conceptNameChanged(OntologyEvent event)` Called by the OntologyManager when the name of a concept has changed.
`void` | `conceptTypeChanged(OntologyEvent event)` Called by the OntologyManager when a type is added to or removed from a concept.
`void` | `occurrenceChanged(OntologyEvent event)` Called by the OntologyManager when an occurrence's value is changed.
`void` | `occurrenceCreated(OntologyEvent event)` Called by the OntologyManager when an occurrence is created.
`void` | `occurrenceRemoved(OntologyEvent event)` Called by the OntologyManager when an occurrence is removed from a topic.
`void` | `synonymAdded(OntologyEvent event)` Called by the OntologyManager when a synonym is added to a base topic.
`void` | `synonymRemoved(OntologyEvent event)` Called by the OntologyManager when a synonym is removed from a base topic.
`void` | `topicClassChanged(OntologyEvent event)` Called by the OntologyManager when a superclass is added to or removed from a topic.
`void` | `topicCreated(OntologyEvent event)` Called by the OntologyManager when a topic is created.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OntologyAdapter

    public OntologyAdapter()

Method Detail

### topicCreated

    public void topicCreated(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when a topic is created.

  `OntologyEvent.getConcept()` returns the newly created topic.

  Specified by:
    `topicCreated` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user and the newly created topic

### associationCreated

    public void associationCreated(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when an association is created.

  `OntologyEvent.getConcept()` returns the newly created association.

  Specified by:
    `associationCreated` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user and the newly created association

### occurrenceCreated

    public void occurrenceCreated(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when an occurrence is created.

  `OntologyEvent.getConcept()` returns the base topic, `OntologyEvent.getOccurrence()` the newly created occurrence.

  Specified by:
    `occurrenceCreated` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the topic and the newly created occurrence

### conceptCommentChanged

    public void conceptCommentChanged(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when the comment of a concept has changed.

  `OntologyEvent.getConcept()` returns the base concept, `OntologyEvent.getOldValue()` the comment's old value.

  Specified by:
    `conceptCommentChanged` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the concept and the comment's old value

### conceptNameChanged

    public void conceptNameChanged(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when the name of a concept has changed.

  `OntologyEvent.getConcept()` returns the base concept, `OntologyEvent.getOldValue()` the concept's old name.

  Specified by:
    `conceptNameChanged` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the concept and the concept's old name

### conceptTypeChanged

    public void conceptTypeChanged(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when a type is added to or removed from a concept.

  `OntologyEvent.getConcept()` returns the base concept, `OntologyEvent.getOldType()` the concept's old type. For topics, the old type is `null` if a new type is added.

  Specified by:
    `conceptTypeChanged` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the concept and the concept's old type

### topicClassChanged

    public void topicClassChanged(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when a superclass is added to or removed from a topic.

  `OntologyEvent.getConcept()` returns the base topic. `OntologyEvent.getOldType()` returns the topic's old superclass if it was removed, or `null` if a superclass was added.

  Specified by:
    `topicClassChanged` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the concept and the concept's old superclass

### associationTopicAdded

    public void associationTopicAdded(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when topic is added as a player to an association.

  `OntologyEvent.getConcept()` returns the association, `OntologyEvent.getTopic()` the added topic.

  Specified by:
    `associationTopicAdded` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the association and the added topic

### associationTopicRemoved

    public void associationTopicRemoved(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when player topic is removed from an association.

  `OntologyEvent.getConcept()` returns the association, `OntologyEvent.getTopic()` the removed topic.

  Specified by:
    `associationTopicRemoved` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the association and the removed topic

### occurrenceChanged

    public void occurrenceChanged(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when an occurrence's value is changed.

  `OntologyEvent.getConcept()` returns the base topic, `OntologyEvent.getOccurrence()` the occurrence and `OntologyEvent.getOldValue()` the occurrence's old value.

  Specified by:
    `occurrenceChanged` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the topic, the occurrence and its old value

### occurrenceRemoved

    public void occurrenceRemoved(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when an occurrence is removed from a topic.

  `OntologyEvent.getConcept()` returns the base topic, `OntologyEvent.getOccurrence()` the removed occurrence.

  Specified by:
    `occurrenceRemoved` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the topic and the removed occurrence

### attributeAdded

    public void attributeAdded(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when an attribute is added to a topic.

  `OntologyEvent.getConcept()` returns the added attribute, `OntologyEvent.getTopic()` the base topic.

  Specified by:
    `attributeAdded` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the topic and the added attribute

### attributeValueChanged

    public void attributeValueChanged(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when an attribute's value is changed.

  `OntologyEvent.getConcept()` returns the attribute, `OntologyEvent.getOldValue()` the attribute's old value.

  Specified by:
    `attributeValueChanged` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the attribute and its old value

### attributeRemoved

    public void attributeRemoved(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when an attribute is removed from a topic.

  `OntologyEvent.getConcept()` returns the removed attribute, `OntologyEvent.getTopic()` the base topic.

  Specified by:
    `attributeRemoved` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the topic and the removed attribute

### synonymAdded

    public void synonymAdded(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when a synonym is added to a base topic.

  `OntologyEvent.getConcept()` returns the base topic, `OntologyEvent.getSynonym()` the Synonym object that contains both synonymous topics.

  Specified by:
    `synonymAdded` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the topic and the synonym

### synonymRemoved

    public void synonymRemoved(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when a synonym is removed from a base topic.

  `OntologyEvent.getConcept()` returns the base topic, `OntologyEvent.getSynonym()` the removed Synonym object that contains both synonymous topics.

  Specified by:
    `synonymRemoved` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the topic and the synonym

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD